Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kString Class Reference
kApi/Data

## Description

Represents a character string.

The kString class represents a variable-length, null-terminated sequence of kChar elements.

kString supports the kObject_Clone, kObject_Size, kObject_Equals, and kObject_HashCode methods.

kString supports the kdat5 and kdat6 serialization protocols.

Inheritance diagram for kString:

## Public Member Functions
kStatus | kString_Add (kString str, const kChar *content)
| Appends content to the string. More...
kStatus | kString_Addf (kString str, const kChar *format,...)
| Appends content to the string using a printf-like format string and arguments. More...
kStatus | kString_AddSubstring (kString str, const kChar *content, kSize start, kSize count)
| Appends a portion of another string to this string. More...
kStatus | kString_Addvf (kString str, const kChar *format, kVarArgList argList)
| Variable-argument version of kString_Addf. More...
kStatus | kString_Assign (kString str, kString source)
| Copies the source string content. More...
kSize | kString_Capacity (kString str)
| Returns the number of character units that can be stored without reallocation. More...
kChar * | kString_Chars (kString str)
| Returns a pointer to the internal character buffer. More...
kStatus | kString_Clear (kString str)
| Sets the length of the string to zero. More...
k32s | kString_Compare (kString str, const kChar *content)
| Compares this string to another string. More...
kStatus | kString_Construct (kString *str, const kChar *content, kAlloc allocator)
| Constructs a kString object. More...
kBool | kString_Equals (kString str, const kChar *content)
| Compares this string to another character sequence to determine equality. More...
kSize | kString_Length (kString str)
| Returns the number of character units in the string buffer (excluding null-terminator). More...
kStatus | kString_Reserve (kString str, kSize minimumCapacity)
| Ensures that capacity is reserved for at least the specified number of character units (excluding null terminator). More...
kStatus | kString_Set (kString str, const kChar *content)
| Sets the content of the string. More...
kStatus | kString_Setf (kString str, const kChar *format,...)
| Sets the content of the string using a printf-like format string and arguments. More...
kStatus | kString_SetLength (kString str, kSize length)
| Explicitly sets the length of the string. More...
kStatus | kString_Setvf (kString str, const kChar *format, kVarArgList argList)
| Variable-argument version of kString_Setf. More...
kStatus | kString_Split (kString str, const kChar *delimiters, kArrayList *tokens, kAlloc allocator)
| Splits this string into substrings using the supplied delimiters. More...
kStatus | kString_SplitEx (kString str, const kChar *delimiters, kArrayList *tokens, kBool discardEmpty, kAlloc allocator)
| Splits this string into substrings using the supplied delimiters. More...
kStatus | kString_Trim (kString str)
| Removes leading and trailing whitespace. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kBool | kObject_HasForeignData (kObject object)
| Reports whether the object, including aggregated child elements, contains any foreign memory references. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Protected Member Functions inherited from kObject
kStatus | kObject_FreeMem (kObject object, void *mem)
| Protected method called by derived classes to free memory using the object's allocator. More...
kStatus | kObject_FreeMemRef (kObject object, void *mem)
| Protected method called by derived classes to free memory (and reset the provided memory pointer to kNULL) using the object's allocator. More...
kStatus | kObject_GetMem (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate memory using the object's allocator. More...
kStatus | kObject_GetMemZero (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate and zero memory using the object's allocator. More...
kStatus | kObject_Init (kObject object, kType type, kAlloc alloc)
| Protected method called by derived classes to initialize the kObject base class. More...
kStatus | kObject_VDisposeItems (kObject object)
| Protected virtual method that destroys any aggregated child objects associated with a collection. More...
kBool | kObject_VEquals (kObject object, kObject other)
| Protected virtual method that compares two objects for equality. More...
kBool | kObject_VHasForeignData (kObject object)
| Protected virtual method that reports whether the object, including aggregated child elements, contains any foreign memory references. More...
kSize | kObject_VHashCode (kObject object)
| Protected virtual method that calculates a hash code representing the object instance. More...
kStatus | kObject_VInitClone (kObject object, kObject source, kAlloc allocator)
| Protected virtual method that clones (makes a deep copy of) the specified source object. More...
kStatus | kObject_VRelease (kObject object)
| Protected virtual method that deallocates any resources owned by the object. More...
kSize | kObject_VSize (kObject object)
| Protected virtual method that calculates the total size (in bytes) of the object instance. More...

The documentation for this class was generated from the following file:

- Data/kString.h